# Configuration

The configuration of your application is centralized in the folder `src/config`

There, you find 4 files:

* config.ts
* auth.ts
* pricing.constants.ts
* lifetime.constants.ts

## config.ts

It is where the main configuration variables of your product live.

By updating one of these variables, the value will be updated across all the application

{% code title="src/config/config.ts" %}

```typescript
export const brandName = "My App";
export const landingPageTitle = "My App";
export const landingPageDescription = "Make money today with My App";
export const websiteUrl = "https://myapp.com";
export const supportEmail = "support@email.com";

// the users will be redirected to this page after sign in
export const signInCallbackUrl = "/dashboard";

// only needed if you have the "talk to us" button in the landing page
export const demoCalendlyLink = "https://calendly.com/myself/15min";

// used by MailChimp
export const emailFrom = "no-reply@email.com";

// social links
export const discordLink = "https://discordlink";
export const twitterLink = "https://x.com/johndoe";
export const youTubeLink = "https://youtube.com/johndoe";

export const affiliateProgramLink =
  "https://yourstore.lemonsqueezy.com/affiliates";
```

{% endcode %}

## auth.ts

This is where the authentication configuration lives.

Update it if you want to add new social authentication providers, or add new events.

The format of this configuration is from NextAut, check their [documentation](https://next-auth.js.org/configuration/initialization) to learn more.

## pricing.constants.ts

Where the pricing plans are defined, with all the details.

This configuration is used by the `<Pricing />` component.

{% code title="src/config/pricing.constants.ts" %}

```typescript
export const pricingPlans = [
  {
    title: "Hobby",
    monthlyPrice: 19,
    annualPrice: 199,
    monthlyCheckoutUrl: "https://...",
    annualCheckoutUrl: "https://...",
    features: ["Team", "Workspace", "Integrations"],
  },
  {
    title: "Growth",
    monthlyPrice: 49,
    annualPrice: 499,
    monthlyCheckoutUrl: "https://...",
    annualCheckoutUrl: "https://...",
    features: ["Team", "Workspace", "Integrations", "Custom branding"],
  },
  {
    title: "Pro",
    monthlyPrice: 99,
    annualPrice: 999,
    monthlyCheckoutUrl: "https://...",
    annualCheckoutUrl: "https://...",
    features: ["Team", "Workspace", "Integrations", "Custom branding", "API"],
  },
];

```

{% endcode %}

## lifetime.constants.ts

Where the lifetime deals are defined, with all the details.

This configuration is used by the `<Lifetime />` component.

{% code title="" %}

```typescript
export const lifetimeDeals = [
  {
    title: "Hobby",
    price: 199,
    checkoutUrl: "https://...",
    features: ["Team", "Workspace", "Integrations"],
  },
  {
    title: "Growth",
    price: 499,
    checkoutUrl: "https://...",
    features: ["Team", "Workspace", "Integrations", "Custom branding"],
  },
  {
    title: "Pro",
    price: 999,
    checkoutUrl: "https://...",
    features: ["Team", "Workspace", "Integrations", "Custom branding", "API"],
  },
];

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shipped.club/other/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
